Summary:   Postfix Mail Transport Agent
Name:      postfix
Version:   19991231
Release:   6mdk
URL:       http://www.postfix.org/
Source0:   ftp://postfix.cloud9.net/%{name}-%{version}.tar.bz2
Source1:   postfix.aliases
Source2:   postfix.cron
Source3:   postfix.init
Patch:     postfix-main.cf.patch.bz2
Copyright: Distributable
Group:     System/Servers
Provides:  smtpdaemon
Conflicts: sendmail
Requires:  procmail
Prereq:    /sbin/chkconfig, /usr/bin/wc
Obsoletes: postfix-beta
BuildRoot: /tmp/%{name}-%{version}-root

%description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

%prep
%setup -q -n postfix-%{version}

%patch -p1

%build
make DEBUG="" OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
rm -f html/Makefile.in

install -d $RPM_BUILD_ROOT/etc/cron.daily
install -d $RPM_BUILD_ROOT/etc/postfix
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/postfix
install -d $RPM_BUILD_ROOT/usr/man/man{1,5,8}
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/var/spool/postfix

install -m755 bin/sendmail bin/post* $RPM_BUILD_ROOT/usr/sbin
# install -m755 `ls bin/*|egrep -v 'post|fsstone|smtp-|sendmail'` $RPM_BUILD_ROOT/usr/lib/postfix
install -m755 bin/*post* bin/*smtp-* bin/*sendmail* $RPM_BUILD_ROOT/usr/lib/postfix
install -m755 libexec/* $RPM_BUILD_ROOT/usr/lib/postfix
install -m644 conf/access $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/canonical $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/main.cf $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/master.cf $RPM_BUILD_ROOT/etc/postfix
install -m755 conf/postfix-script-nosgid $RPM_BUILD_ROOT/etc/postfix/postfix-script
install -m644 conf/relocated $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/transport $RPM_BUILD_ROOT/etc/postfix
install -m644 conf/virtual $RPM_BUILD_ROOT/etc/postfix
install -m644 man/man1/* $RPM_BUILD_ROOT/usr/man/man1
install -m644 man/man5/* $RPM_BUILD_ROOT/usr/man/man5
install -m644 man/man8/* $RPM_BUILD_ROOT/usr/man/man8

install -d sample; install -m644 conf/sample* sample

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/postfix/aliases
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix

ln -sf postfix/aliases $RPM_BUILD_ROOT/etc/aliases

( cd $RPM_BUILD_ROOT/usr/bin
  ln -sf ../sbin/sendmail mailq
  ln -sf ../sbin/sendmail newaliases
)
( cd $RPM_BUILD_ROOT/usr/lib
  ln -sf ../sbin/sendmail sendmail
)

for I in etc/postfix/{aliases,access,canonical,relocated,transport,virtual}
do
   touch $RPM_BUILD_ROOT/$I{,.db}
done

find $RPM_BUILD_ROOT/usr/man/ -name '*[0-9]'|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done


%pre
if [ `grep postfix /etc/passwd | wc -l` = 0 ]; then
   /usr/sbin/useradd -M -r -d /var/spool/postfix -s "" \
                     -c "postfix" postfix || :
fi
if [ `grep postfix /etc/group | wc -l` = 0 ]; then
  /usr/sbin/groupadd postfix
fi
if [ -f /var/lock/subsys/postfix ]; then
   /etc/rc.d/init.d/postfix stop
fi

%post
/usr/sbin/postalias /etc/postfix/aliases
ln -sf /etc/postfix/aliases.db /etc/aliases.db

/sbin/chkconfig --add postfix
if [ ! -e /usr/lib/sendmail ]; then
	ln -sf /usr/sbin/sendmail /usr/lib/sendmail
fi
chkconfig --del sendmail &> /dev/null||:
/usr/sbin/postfix check >/dev/null 2>&1 ||:

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/postfix ]; then
      /etc/rc.d/init.d/postfix stop
   fi
   /sbin/chkconfig --del postfix
fi

%postun
if [ $1 = 0 ]; then
   if [ `grep postfix /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel postfix
   fi
   if [ `grep postfix /etc/group | wc -l` = 1 ]; then
      /usr/sbin/groupdel postfix
   fi
   if ! [ -f /var/lock/subsys/postfix ]; then
        rm -rf /var/lock/subsys/postfix
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc html sample 0README COMPATIBILITY HISTORY LICENSE RELEASE_NOTES TODO
/etc/aliases
%config /etc/cron.daily/postfix
%dir /etc/postfix
%config /etc/postfix/aliases
%config /etc/postfix/access
%config /etc/postfix/canonical
%config /etc/postfix/main.cf
%config /etc/postfix/master.cf
%config /etc/postfix/postfix-script
%config /etc/postfix/relocated
%config /etc/postfix/transport
%config /etc/postfix/virtual
%config /etc/rc.d/init.d/postfix
/usr/bin/*
/usr/lib/postfix
/usr/sbin/*
%attr(-,root,man) /usr/man/*/*
/var/spool/postfix
/usr/lib/sendmail

%changelog
* Fri May 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19991231-6mdk
- Fix an aliases.db problem...

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19991231-5mdk
- Fix group.

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 19991231-4mdk
- add prereq wc

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 19991231
- added postfix group
- corrected aliases.db bug

* Mon Dec 27 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Add postfix check in post to create sub dirs in spool

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add -a $DOMAIN -d $LOGNAME to procmail (philippe).
- New banner.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix if conflicts with sendmail.

* Sat Jun  5 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- install bins from libexec/

* Sat Jun  5 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 19990601
- .spec cleanup for easier updates

* Wed May 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- created link from /usr/sbin/sendmail to /usr/lib/sendmail
  so it doesn't bug out when i rpm -e sendmail
- Now removes /var/lock/subsys/postfix like a good little prog
  upon rpm -e

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adptations.

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in /usr/sbin
- alias database moved to /etc/postfix and made a symlink to it in /etc
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in /usr/libexec/postfix moved to /usr/lib/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir 
- dropped making of symlinks in /usr/sbin and instead installing the real
  files there
- because of the previous they're not needed anymore in /usr/libexec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version
